﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Honeywell.Mobility.DeviceManagement.SmartSystem;

namespace ITCSSApi_FF
{
    public partial class Form1 : Form
    {
        ITCSSApi ss;

        // XML to set/get the Country field. 
        string sCountryXml;

        public Form1()
        {
            InitializeComponent();
            ss = new ITCSSApi();
            sCountryXml = "<Subsystem Name=\"SS_Client\">\r\n";
            sCountryXml += "<Group Name=\"Location\">\r\n";
            sCountryXml += "<Field Name=\"Country\">{0}</Field>\r\n";
            sCountryXml += "</Group></Subsystem>";

            try
            {
                this.textBoxCountry.Text = getCountry();
                this.textBoxFile.Text = "\\Windows\\CfgFile.xml";
            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.ToString());
            }
        }

        private string getCountry()
        {
            uint uiRet = 0;

            string sCountryString = null;
            StringBuilder sbRetData = new StringBuilder(1024);
            int iLen = 1024;

            uiRet = ss.Get(sCountryXml, sbRetData, ref iLen, 0);
            if (uiRet == ITCSSErrors.E_SS_SUCCESS)
            {
                string sVal = sbRetData.ToString();
                MessageBox.Show(sVal);
                int iIdx = sVal.IndexOf("<Field Name=\"Country\">");
                if (iIdx >= 0)
                {
                    string newStr = sVal.Substring(iIdx);
                    newStr = newStr.Remove(0, 22);
                    iIdx = newStr.IndexOf("<");
                    sCountryString = newStr.Substring(0, iIdx);
                    MessageBox.Show(sCountryString);
                }
            }
            else
            {
                MessageBox.Show("Error getting Country.");
                MessageBox.Show(uiRet.ToString());
            }
            return sCountryString;
        }

        // Set the Country field in Enterprise Settings.
        private void setCountry(string Country)
        {
            uint uiRet = 0;
            string sCountryString;

            StringBuilder sbRetData = new StringBuilder(1024);
            int iLen = 1024;

            sCountryString = string.Format(sCountryXml, Country);
            uiRet = ss.Set(sCountryString, sbRetData, ref iLen, 0);

            if (uiRet != ITCSSErrors.E_SS_SUCCESS)
            {
                MessageBox.Show("Error setting Country.");
            }
        }

        private void buttonSetCountry_Click(object sender, EventArgs e)
        {
            //Set the Country for the device
            string Country = this.textBoxCountry.Text;
            setCountry(Country);
        }

        private void buttonLoadFile_Click(object sender, EventArgs e)
        {
            uint uiRet = 0;
            string fileNameIn;
            string fileNameOut;
            int iLen = 1024;
            fileNameIn = this.textBoxFile.Text;
            fileNameOut = fileNameIn + "_out";

            try
            {
                StringBuilder sbRetData = new StringBuilder(1024);

                //perform Set or Get operation from the file specified
                uiRet = ss.ConfigFromFile(fileNameIn, fileNameOut, sbRetData, ref iLen, 0);
                if (uiRet != ITCSSErrors.E_SS_SUCCESS)
                {
                    MessageBox.Show("Error getting/setting from file.");
                }
            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.ToString());
            }
        }

        private void buttonExit_Click(object sender, EventArgs e)
        {
			// Shutdown this form (which will close the application).
			this.Close();
        }
    }
}
