// itcSSApiTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "itcSSApiTest.h"
#include "itcSSApiTestDlg.h"

#include "itcSSApi.h"
#include "smartsysErrors.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

//XML to set/get the location country field.
static const TCHAR sCountryXML[] =
_T("<Subsystem Name=\"SS_Client\">\r\n \
	<Group Name=\"Location\">\r\n \
		<Field Name=\"Country\">%s</Field>\r\n \
	</Group>\r\n \
</Subsystem>");

// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// CitcSSApiTestDlg dialog




CitcSSApiTestDlg::CitcSSApiTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CitcSSApiTestDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CitcSSApiTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CitcSSApiTestDlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_BUTTON_SETCOUNTRY, &CitcSSApiTestDlg::OnBnClickedSetCountry)
	ON_BN_CLICKED(IDC_BUTTON_LOADFILE, &CitcSSApiTestDlg::OnBnClickedLoadFile)
	ON_BN_CLICKED(IDC_BUTTON_EXIT, &CitcSSApiTestDlg::OnBnClickedExit)
END_MESSAGE_MAP()


/**
* setConfigurationData ()
* This function will set the configuration on the device contained in the
* pszConfigData paramater via the SS api.
*
* @param pszConfigData The configuration data to set.
*
*/
int setConfigurationData (TCHAR *pszConfigData)
{
	int		iRet = 0;
	TCHAR	*pRetData;
	size_t  iRetDataSize = 0;
	int		iLen = 0;
	
	ITCSSAPI_RETURN_TYPE sRet;

	iLen = _tcslen (pszConfigData) + 1024;  //ensure enough space for returned data
	pRetData = (TCHAR *)malloc (iLen * sizeof (TCHAR)); 
	memset (pRetData, 0, iLen * sizeof (TCHAR));
	iRetDataSize = iLen;
	sRet = ITCSSSet (pszConfigData, pRetData, &iRetDataSize, 0);
	if (sRet != E_SS_SUCCESS)
	{
		iRet = -1;
	}
	else
	{
		iRet = 0;
	}

	if (pRetData != 0)
	{
		free (pRetData);
	}
	return iRet;
}
/**
* getConfigurationData ()
* This function will set the configuration on the device contained in the
* pszConfigData paramater via the SS api.
*
* @param pszConfigData The configuration data to set.
*
*/
int getConfigurationData (TCHAR *pszConfigData, TCHAR *pRetData, size_t *piLen)
{
	int  iRet = 0;
	int  iLen = 0;
	ITCSSAPI_RETURN_TYPE sRet;

	sRet = ITCSSGet (pszConfigData, pRetData, piLen, 0);
	if (sRet != E_SS_SUCCESS)
	{
		iRet = -1;
	}
	else
	{
		iRet = 0;
	}

	return iRet;
}

// Get the country setting. 

void getCountry(TCHAR *aCountry) 
{
	int iRet;
	TCHAR sCountry[128] = {0};
	TCHAR szConfigData[512] = {0};
	TCHAR pRetData[512] = {0};
	size_t len = 512;

	//Get country value using the Smart System Configuration API
	
	_stprintf (szConfigData, sCountryXML, _T(""));
	iRet = getConfigurationData (szConfigData, pRetData, &len);

	if (iRet == 0)
	{
		//Parse out Country from returned XML
		//XML should be like this <Field Name=\"Country\">xxxx</Field>

		TCHAR *pData = _tcsstr (pRetData, _T("<Field Name=\"Country\">"));
		if (pData != NULL)
		{
			pData = pData + 22;
			for (int ii=0; *pData != '<'; ii++, pData++)
			{
				aCountry[ii] = *pData;
			}
		}
	}
	else
	{
		MessageBox (NULL, _T("Error retrieving Country"), _T("Error"), MB_OK);
	}
}


BOOL FileExists (const TCHAR *pszFile)
{
	BOOL   bRet				= FALSE;
	HANDLE hFindFile		= 0;
	WIN32_FIND_DATA findFileData;

	hFindFile = FindFirstFile (pszFile, &findFileData);
	if (hFindFile != INVALID_HANDLE_VALUE)
	{
		FindClose (hFindFile);
		bRet = TRUE;
	}
	else
	{
		bRet = FALSE;
	}

	return bRet;
}


// CitcSSApiTestDlg message handlers

BOOL CitcSSApiTestDlg::OnInitDialog()
{
	TCHAR country[128] = {0};

	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// get the current Country setting
	getCountry (country);

	//Set the Country field in the dlg.
	SetDlgItemText( IDC_EDIT_COUNTRY, country);

	//Set default config file to process
	CEdit*	pEdit = (CEdit*) GetDlgItem(IDC_EDIT_FILE);
	pEdit->SetWindowText(_T("cfgfile.xml"));

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CitcSSApiTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CitcSSApiTestDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CitcSSApiTestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CitcSSApiTestDlg::OnBnClickedSetCountry()
{
	int iRet;
	TCHAR sCountry[512] = {0};
	TCHAR  szConfigData[1024] = {0};

	CString country;

	CEdit*	pEdit = (CEdit*) GetDlgItem(IDC_EDIT_COUNTRY);
	pEdit->GetWindowText(country);
	_tcscpy (sCountry, country.GetBuffer (0));
	_stprintf (szConfigData, sCountryXML, sCountry);

	//Set the Country value using the Smart System Configuration API
	iRet = setConfigurationData (szConfigData);

}

void CitcSSApiTestDlg::OnBnClickedLoadFile()
{
	CString csFileName;
	ITCSSAPI_RETURN_TYPE sRet;
	TCHAR pRetData[512] = {0};
	size_t len = 512;
	TCHAR sFile[256] = {0};
	TCHAR sFileOut[256] = {0};

	CEdit*	pEdit = (CEdit*) GetDlgItem(IDC_EDIT_FILE);
	pEdit->GetWindowText(csFileName);
	_tcscpy (sFile, csFileName.GetBuffer (0));

	if (!FileExists (sFile))
	{
		MessageBox (_T("File does not exist"), _T("Error"), MB_OK);
	}
	else
	{
		_stprintf (sFileOut, _T("%s_out"), sFile);
		sRet = ITCSSConfigFromFile (sFile, sFileOut, pRetData, &len, 0);
	}

}

void CitcSSApiTestDlg::OnBnClickedExit()
{
	CDialog::OnCancel ();	
}
