///////////////////////////////////////////////////////////////
//
// File name : IN2DGidFid.h
//
// Purpose : ISCP group and function identifiers
//
// Important : this file has been automatically generated, 
//             please not not edit it manually
//
// Distribution : 
// The information contained herein shall not be duplicated or 
// used for any purpose other than that for which provided. The 
// information disclosed herein was originated by and is property 
// of Intermec Corporation and except for rights expressly granted 
// by written consent, such information shall not be disclosed or  
// disseminated in whole or in part. Intermec Corporation reserves  
// all patent, proprietary, design, use, sale, manufacturing, and 
// reproduction rights thereto. 
//  
// Copyright (c) 2008--2015 HONEYWELL INTERNATIONAL INC.
// All Rights Reserved 
//
///////////////////////////////////////////////////////////////

#ifndef INCLUDED_IN2D_GIDFID_H                /* Has this file been included before?  */
#define INCLUDED_IN2D_GIDFID_H                /* No, remember it has been now         */




// RETURN ISCP VALUES
typedef enum tagRID
{
   RID_DONE                   = 0x00,
   RID_UNKNOWN_FRAME_TYPE     = 0x01,
   RID_LOCKED_PARAMETER       = 0x02,
   RID_ADDRESSEE_UNREACHABLE  = 0x03,
   RID_GROUP_UNKNOWN          = 0x81,  // expect group and FID as parameters
   RID_IDENTIFIER_UNKNOWN     = 0x82,  // expect group and FID as parameters
   RID_INVALID_PARAMETER      = 0x83,  // expect group and FID as parameters
   RID_TOO_MUCH_IDENTIFIER    = 0x84,  // nb FID > 32 => pb with permission
   RID_NOT_ENOUGH_MEMORY      = 0x85,  // The command cannot be executed because of lack of memory
   RID_INVALID_PARAM_DETAILED = 0xC0
} RID;
 




// ********************************************************
// *                 SETUP GID                            *
// ********************************************************
typedef enum tagGIDSETUP
{
   // Symbologies [0x30..0x3F] postal codes
   GID_POSTNET          = 0x30,  // Postnet
   GID_PLANET           = 0x31,  // Planet
   GID_BPO              = 0x32,  // Code BPO
   GID_CANADAPOST       = 0x33,  // Canada post
   GID_AUSTRALIANPOST   = 0x34,  // Australia post
   GID_JAPANPOST        = 0x35,  // Japan post
   GID_DUTCHPOST        = 0x36,  // Dutch post
   GID_SWEDENPOST       = 0x37,  // Sweden post
   GID_KOREANPOST       = 0x38,  // Korean post
   GID_INFOMAIL         = 0x39,  // Infomail
   GID_INTELLIGENTMAIL  = 0x3A,  // IntelligentMail 

   // Symbologies [0x40..0x5F] 
   GID_CODABAR          = 0x40,  // Codabar
   GID_C93              = 0x41,  // Code 93
   GID_C39              = 0x42,  // Code 39
   GID_C128             = 0x43,  // Code 128/EAN128
   GID_ITF              = 0x44,  // Interleaved 2 of 5
   GID_25M              = 0x45,  // Matrix 2 of 5 
   GID_MSI              = 0x46,  // Code MSI
   GID_PLS              = 0x47,  // Code Plessey
   GID_25S              = 0x48,  // Standard 2 of 5
   GID_TLP              = 0x49,  // Code Telepen
   GID_C11              = 0x4A,  // Code 11
   GID_UPC              = 0x4B,  // Code EAN/UPC
   GID_PDF              = 0x4C,  // Code PDF417
   GID_CDB              = 0x4D,  // Codablock
   GID_TLC39            = 0x4E,  // Code TLC 39
   GID_GS1              = 0x4F,  // Code GS1 DataBar (AKA RSS)
   GID_C49              = 0x50,  // Code 49
   GID_C16K             = 0x51,  // Code 16K
   GID_MAXICODE         = 0x52,  // Code Maxicode
   GID_AZTEC            = 0x53,  // Code Aztec
   GID_DTM              = 0x54,  // Code Datamatrix
   GID_QR               = 0x55,  // Code QR
   GID_EUCOMPOSITE      = 0x56,  // Codes EAN.UCC Composite
   GID_BCC412           = 0x58,  // Code BCC 412
   GID_UDMC             = 0x59,  // Multicode
   GID_HANXIN           = 0x5A,  // Hanxin
   
   // Transmission settings [0x60..0x6F] 
   GID_MF               = 0x60,  // Message Format 
   GID_PROT             = 0x61,  // Protocol
   GID_RS               = 0x63,  // RS
   GID_WAND             = 0x64,  // Wand/Laser
   GID_DE               = 0x65,  // Data editing
   GID_BLUETOOTH        = 0x66,  // Bluetooth
   GID_IKBD             = 0x67,  // International Keyboard
   GID_USB              = 0x68,  // Universal Serial Bus
   GID_IMAGEDATA        = 0x6A,  // Image output

   // Others [0x70..0x7F]
   GID_TS               = 0x70,  // Trigger Settings 
   GID_DS               = 0x71,  // Decoding Security 
   GID_BLI              = 0x72,  // Beep / Led Indicator
   GID_IPRM             = 0x73,  // Iscp Parameters 
   GID_CFG              = 0x74,  // Configuration
   GID_SYSTEM           = 0x75,  // Systeme
   GID_SC               = 0x76,  // Signature Capture
   GID_DC               = 0x77,  // Document Capture
   GID_LIMG             = 0x7A,  // Linear Imager Operating mode
   GID_IMG              = 0x7B,  // Imager Operating mode
   GID_EASYSCRIPT       = 0x7C,  // Embedded C interpreter
   
   // Antares compatibility [0xF0..0xFF]
   GID_ANTARES          = 0xFF   // Antares
} GIDSETUP;


// ********************************************************
// *                 CONTROL GID                          *
// ********************************************************
typedef enum tagGIDCCMD
{
   CG_DECODING          = 0x20,
   CG_HARDWARE          = 0x30,
   CG_CONFIGURATION     = 0x40,
   CG_OPERATING         = 0x50,
   CG_MUEVT             = 0x60
}GIDCCMD;


// ********************************************************
// *                 STATUS GID                           *
// ********************************************************
typedef enum tagGIDSTATUS
{
   STG_DECODING         = 0x20,
   STG_HARDWARE         = 0x30,
   STG_CONFIGURATION    = 0x40,
   STG_OPERATING        = 0x50,
   STG_EVTMU            = 0x60
}GIDSTATUS;


// ********************************************************
// *                 EVENT GID                            *
// ********************************************************
typedef enum tagGIDEVENT
{
   EG_DECODING          = 0x20,
   EG_HARDWARE          = 0x30,
   EG_CONFIGURATION     = 0x40,
   EG_IMAGEDATA         = 0x50
}GIDEVENT;


// ********************************************************
// *                 Setup FID                            *
// ********************************************************

// Setup group: Postnet
#define POSTNET_ACTIVE                       0x40
#define POSTNET_CMARK                        0x48
#define POSTNET_CHECKTX                      0x54
#define POSTNET_UDSI                         0xC0

// Setup group: Planet
#define PLANET_ACTIVE                        0x40
#define PLANET_CMARK                         0x48
#define PLANET_CHECKTX                       0x54
#define PLANET_UDSI                          0xC0

// Setup group: BPO
#define BPO_ACTIVE                           0x40
#define BPO_CMARK                            0x48
#define BPO_CHECKTX                          0x54
#define BPO_UDSI                             0xC0

// Setup group: Canada Post
#define CANADAPOST_ACTIVE                    0x40
#define CANADAPOST_CMARK                     0x48
#define CANADAPOST_UDSI                      0xC0

// Setup group: Australian Post
#define AUSTRALIANPOST_ACTIVE                0x40
#define AUSTRALIANPOST_CMARK                 0x48
#define AUSTRALIANPOST_UDSI                  0xC0

// Setup group: Japan Post
#define JAPANPOST_ACTIVE                     0x40
#define JAPANPOST_CMARK                      0x48
#define JAPANPOST_CHECKTX                    0x54
#define JAPANPOST_UDSI                       0xC0

// Setup group: Dutch Post
#define DUTCHPOST_ACTIVE                     0x40
#define DUTCHPOST_CMARK                      0x48
#define DUTCHPOST_UDSI                       0xC0

// Setup group: Sweden Post
#define SWEDENPOST_ACTIVE                    0x40
#define SWEDENPOST_CMARK                     0x48
#define SWEDENPOST_UDSI                      0xC0

// Setup group: Korean Post
#define KOREANPOST_ACTIVE                    0x40
#define KOREANPOST_CMARK                     0x48
#define KOREANPOST_LENGTHL1                  0x50
#define KOREANPOST_LENGTHL2                  0x51
#define KOREANPOST_LENGTHL3                  0x52
#define KOREANPOST_LENGTHMODE                0x53
#define KOREANPOST_UDSI                      0xC0

// Setup group: Infomail
#define INFOMAIL_ACTIVE                      0x40
#define INFOMAIL_CMARK                       0x48
#define INFOMAIL_UDSI                        0xC0

// Setup group: Intelligent Mail
#define INTELLIGENTMAIL_ACTIVE               0x40
#define INTELLIGENTMAIL_CMARK                0x48
#define INTELLIGENTMAIL_UDSI                 0xC0

// Setup group: Codabar
#define CODABAR_ACTIVE                       0x40
#define CODABAR_CMARK                        0x48
#define CODABAR_CHK                          0x4C
#define CODABAR_LENGTHL1                     0x50
#define CODABAR_LENGTHL2                     0x51
#define CODABAR_LENGTHL3                     0x52
#define CODABAR_LENGTHMODE                   0x53
#define CODABAR_CHKTX                        0x54
#define CODABAR_STARTSTOPTX                  0x58
#define CODABAR_CLSI                         0x59
#define CODABAR_CONCTX                       0x5A
#define CODABAR_CONCTYPE                     0x5B
#define CODABAR_UDSI                         0xC0

// Setup group: Code 93
#define C93_ACTIVE                           0x40
#define C93_CMARK                            0x48
#define C93_LENGTHL1                         0x50
#define C93_LENGTHL2                         0x51
#define C93_LENGTHL3                         0x52
#define C93_LENGTHMODE                       0x53
#define C93_OUTPUTMODE                       0x61
#define C93_UDSI                             0xC0

// Setup group: Code 39
#define C39_ACTIVE                           0x40
#define C39_TRIOPTIC                         0x41
#define C39_UNCONVENTIONAL                   0x43
#define C39_READING                          0x47
#define C39_CMARK                            0x48
#define C39_TRIOPTICCMARK                    0x49
#define C39_CHK                              0x4C
#define C39_RTOL                             0x4F
#define C39_LENGTHL1                         0x50
#define C39_LENGTHL2                         0x51
#define C39_LENGTHL3                         0x52
#define C39_LENGTHMODE                       0x53
#define C39_CHKTX                            0x54
#define C39_STARTSTOPTX                      0x58
#define C39_STARTCHAR                        0x59
#define C39_FULLASCII                        0x5A
#define C39_APPEND                           0x5E
#define C39_SPECIALKEYS                      0x5F
#define C39_UDSI                             0xC0
#define C39_TRIOPTICUDSI                     0xC1

// Setup group: Code 128
#define C128_ACTIVE                          0x40
#define C128_ISBT                            0x41
#define C128_GS1_128_ACTIVE                  0x42
#define C128_IRREGULAR                       0x43
#define C128_READING                         0x47
#define C128_CMARK_128                       0x48
#define C128_CMARK_GS1_128                   0x49
#define C128_CHK                             0x4C
#define C128_RTOL                            0x4F
#define C128_LENGTHL1                        0x50
#define C128_LENGTHL2                        0x51
#define C128_LENGTHL3                        0x52
#define C128_LENGTHMODE                      0x53
#define C128_GS1_128ID                       0x58
#define C128_FNC1                            0x59
#define C128_ISBTCONCTX                      0x5A
#define C128_ISBT_CAP                        0x5B
#define C128_APPEND                          0x5E
#define C128_GTIN                            0x60
#define C128_OUTPUTMODE                      0x61
#define C128_UDSI                            0xC0
#define C128_GS1_128_UDSI                    0xC1

// Setup group: Interleaved 2 of 5
#define ITF_ACTIVE                           0x40
#define ITF_READING                          0x47
#define ITF_CMARK                            0x48
#define ITF_CHK                              0x4C
#define ITF_RTOL                             0x4F
#define ITF_LENGTHL1                         0x50
#define ITF_LENGTHL2                         0x51
#define ITF_LENGTHL3                         0x52
#define ITF_LENGTHMODE                       0x53
#define ITF_CHKTX                            0x54
#define ITF_UDSI                             0xC0

// Setup group: Matrix 2 of 5
#define C25M_ACTIVE                          0x40
#define C25M_STARTSTOP                       0x43
#define C25M_CMARK                           0x48
#define C25M_LENGTHL1                        0x50
#define C25M_LENGTHL2                        0x51
#define C25M_LENGTHL3                        0x52
#define C25M_LENGTHMODE                      0x53
#define C25M_UDSI                            0xC0

// Setup group: MSI Code
#define MSI_ACTIVE                           0x40
#define MSI_CMARK                            0x48
#define MSI_CHK                              0x4C
#define MSI_LENGTHL1                         0x50
#define MSI_LENGTHL2                         0x51
#define MSI_LENGTHL3                         0x52
#define MSI_LENGTHMODE                       0x53
#define MSI_CHKTX                            0x54
#define MSI_UDSI                             0xC0

// Setup group: Plessey Code
#define PLS_ACTIVE                           0x40
#define PLS_IRREGULARSTOP                    0x43
#define PLS_CMARK                            0x48
#define PLS_LENGTHL1                         0x50
#define PLS_LENGTHL2                         0x51
#define PLS_LENGTHL3                         0x52
#define PLS_LENGTHMODE                       0x53
#define PLS_CHKTX                            0x54
#define PLS_UDSI                             0xC0

// Setup group: Standard 2 of 5
#define C25S_ACTIVE                          0x40
#define C25S_CMARK                           0x48
#define C25S_CHK                             0x4C
#define C25S_LENGTHL1                        0x50
#define C25S_LENGTHL2                        0x51
#define C25S_LENGTHL3                        0x52
#define C25S_LENGTHMODE                      0x53
#define C25S_CHKTX                           0x54
#define C25S_FORMAT                          0x58
#define C25S_UDSI                            0xC0

// Setup group: Telepen
#define TLP_ACTIVE                           0x40
#define TLP_CMARK                            0x48
#define TLP_LENGTHL1                         0x50
#define TLP_LENGTHL2                         0x51
#define TLP_LENGTHL3                         0x52
#define TLP_LENGTHMODE                       0x53
#define TLP_FORMAT                           0x58
#define TLP_UDSI                             0xC0

// Setup group: Code 11
#define C11_ACTIVE                           0x40
#define C11_CMARK                            0x48
#define C11_CHK                              0x4C
#define C11_LENGTHL1                         0x50
#define C11_LENGTHL2                         0x51
#define C11_LENGTHL3                         0x52
#define C11_LENGTHMODE                       0x53
#define C11_CHKTX                            0x54
#define C11_UDSI                             0xC0

// Setup group: EAN / UPC
#define UPC_UPCA_ACTIVE                      0x40
#define UPC_UPCE_ACTIVE                      0x41
#define UPC_EAN8_ACTIVE                      0x42
#define UPC_EAN13_ACTIVE                     0x43
#define UPC_EAN13_ISBN                       0x44
#define UPC_ADDON2_ACTIVE                    0x45
#define UPC_ADDON5_ACTIVE                    0x46
#define UPC_ADDON_SECURITY                   0x47
#define UPC_UPCA_CMARK                       0x48
#define UPC_UPCE_CMARK                       0x49
#define UPC_EAN8_CMARK                       0x4A
#define UPC_EAN13_CMARK                      0x4B
#define UPC_UPCE1_ACTIVE                     0x4C
#define UPC_READING                          0x4D
#define UPC_UPCA_CHKTX                       0x54
#define UPC_UPCE_CHKTX                       0x55
#define UPC_EAN8_CHKTX                       0x56
#define UPC_EAN13_CHKTX                      0x57
#define UPC_UPCA_NSTX                        0x58
#define UPC_UPCE_NSTX                        0x59
#define UPC_UPCA_EAN13                       0x5A
#define UPC_UPCE_UPCA                        0x5B
#define UPC_EAN8_EAN13                       0x5C
#define UPC_ADDON_TX                         0x5D
#define UPC_GTIN                             0x60
#define UPC_EAN13_ISMN                       0x61
#define UPC_EAN13_ISSN                       0x62
#define UPC_UPCA_UDSI                        0xC0
#define UPC_UPCE_UDSI                        0xC1
#define UPC_EAN8_UDSI                        0xC2
#define UPC_EAN13_UDSI                       0xC3

// Setup group: PDF417
#define PDF_ACTIVE                           0x40
#define PDF_SAPPEND                          0x41
#define PDF_UPDF_ACTIVE                      0x42
#define PDF_IRREGULAR_PDF                    0x43
#define PDF_UPDF_C128                        0x45
#define PDF_PDF_READING                      0x47
#define PDF_CMARK                            0x48
#define PDF_UPDF_CMARK                       0x49
#define PDF_UPDF_READING                     0x4A
#define PDF_LENGTHMODE                       0x53
#define PDF_CHTX                             0x58
#define PDF_OFFNTX                           0x59
#define PDF_SCTX                             0x5A
#define PDF_TSTX                             0x5B
#define PDF_STX                              0x5C
#define PDF_ATX                              0x5D
#define PDF_FSTX                             0x5E
#define PDF_CTX                              0x5F
#define PDF_OUTPUTMODE                       0x61
#define PDF_LENGTHL1                         0x90
#define PDF_LENGTHL2                         0x91
#define PDF_LENGTHL3                         0x92
#define PDF_UDSI                             0xC0
#define PDF_UDSI_UPDF                        0xC1

// Setup group: Codablock
#define CDBA_ACTIVE                          0x40
#define CDBF_ACTIVE                          0x41
#define CDBA_CMARK                           0x48
#define CDBF_CMARK                           0x49
#define CDBA_UDSI                            0xC0
#define CDBF_UDSI                            0xC1

// Setup group: TLC 39
#define TLC_ACTIVE                           0x40
#define TLC_LINEAR_ONLY                      0x44
#define TLC_ECI_SECURITY                     0x47
#define TLC_CMARK                            0x48
#define TLC_LENGTHMODE                       0x53
#define TLC_LENGTHL1                         0x90
#define TLC_LENGTHL2                         0x91
#define TLC_LENGTHL3                         0x92
#define TLC_UDSI                             0xC0

// Setup group: GS1 DataBar
#define GS1_OD_ACTIVE                        0x40
#define GS1_LI_ACTIVE                        0x41
#define GS1_EX_ACTIVE                        0x42
#define GS1_OD_CMARK                         0x48
#define GS1_LI_CMARK                         0x49
#define GS1_EX_CMARK                         0x4A
#define GS1_EX_LENGTHL1                      0x50
#define GS1_EX_LENGTHL2                      0x51
#define GS1_EX_LENGTHL3                      0x52
#define GS1_EX_LENGTHMODE                    0x53
#define GS1_OD_UDSI                          0xC0
#define GS1_LI_UDSI                          0xC1
#define GS1_EX_UDSI                          0xC2

// Setup group: Code 49
#define C49_ACTIVE                           0x40
#define C49_CMARK                            0x48
#define C49_LENGTHL1                         0x50
#define C49_LENGTHL2                         0x51
#define C49_LENGTHL3                         0x52
#define C49_LENGTHMODE                       0x53
#define C49_UDSI                             0xC0

// Setup group: Code 16k
#define C16K_ACTIVE                          0x40
#define C16K_CMARK                           0x48
#define C16K_LENGTHMODE                      0x53
#define C16K_FNC1                            0x5E
#define C16K_LENGTHL1                        0x90
#define C16K_LENGTHL2                        0x91
#define C16K_LENGTHL3                        0x92
#define C16K_UDSI                            0xC0

// Setup group: Maxicode
#define MAXICODE_ACTIVE                      0x40
#define MAXICODE_MODE0                       0x41
#define MAXICODE_MODE0HEADER                 0x42
#define MAXICODE_CMARK                       0x48
#define MAXICODE_LENGTHMODE                  0x53
#define MAXICODE_SCDMO                       0x5E
#define MAXICODE_LENGTHL1                    0x90
#define MAXICODE_LENGTHL2                    0x91
#define MAXICODE_LENGTHL3                    0x92
#define MAXICODE_UDSI                        0xC0

// Setup group: Aztec
#define AZTEC_ACTIVE                         0x40
#define AZTEC_SAPPEND                        0x41
#define AZTEC_RUNES                          0x42
#define AZTEC_EAN128_EMULATION               0x43
#define AZTEC_CHTX                           0x46
#define AZTEC_CMARK                          0x48
#define AZTEC_LENGTHMODE                     0x53
#define AZTEC_LENGTHL1                       0x90
#define AZTEC_LENGTHL2                       0x91
#define AZTEC_LENGTHL3                       0x92
#define AZTEC_UDSI                           0xC0

// Setup group: Datamatrix
#define DTM_ACTIVE                           0x40
#define DTM_VIDEOINVERSE                     0x42
#define DTM_MIRROR                           0x43
#define DTM_SAPPEND                          0x45
#define DTM_CHTX                             0x46
#define DTM_CMARK                            0x48
#define DTM_LENGTHMODE                       0x53
#define DTM_OUTPUTMODE                       0x61
#define DTM_LENGTHL1                         0x90
#define DTM_LENGTHL2                         0x91
#define DTM_LENGTHL3                         0x92
#define DTM_UDSI                             0xC0

// Setup group: QR Code
#define QR_ACTIVE                            0x40
#define QR_MODEL1CONTROL                     0x41
#define QR_VIDEOINVERSE                      0x42
#define QR_UNCONVENTIONAL_SAPPEND            0x43
#define QR_MICROQR_ACTIVE                    0x44
#define QR_SAPPEND                           0x45
#define QR_CHTX                              0x46
#define QR_CMARK                             0x48
#define QR_LENGTHMODE                        0x53
#define QR_OUTPUTMODE                        0x61
#define QR_LENGTHL1                          0x90
#define QR_LENGTHL2                          0x91
#define QR_LENGTHL3                          0x92
#define QR_UDSI                              0xC0

// Setup group: GS1 Composite
#define EUC_AB_ACTIVE                        0x40
#define EUC_C_ACTIVE                         0x41
#define EUC_EAN128_EMULATION                 0x43
#define EUC_LINEAR_ONLY                      0x44
#define EUC_UNCONVENTIONAL                   0x45
#define EUC_AB_CMARK                         0x48
#define EUC_C_CMARK                          0x49
#define EUC_LENGTHMODE                       0x53
#define EUC_UPCEAN_CMD                       0x5E
#define EUC_LENGTHL1                         0x90
#define EUC_LENGTHL2                         0x91
#define EUC_LENGTHL3                         0x92
#define EUC_AB_UDSI                          0xC0
#define EUC_C_UDSI                           0xC1

// Setup group: BCC 412
#define BCC_ACTIVE                           0x40
#define BCC_CMARK                            0x48
#define BCC_LENGTHL1                         0x50
#define BCC_LENGTHL2                         0x51
#define BCC_LENGTHL3                         0x52
#define BCC_LENGTHMODE                       0x53
#define BCC_UDSI                             0xC0

// Setup group: Multicode
#define UDMC_ACTIVE                          0x40
#define UDMC_BARCODE_NUMBER                  0x41
#define UDMC_TRANSMIT_INCOMPLETE             0x42
#define UDMC_BARCODE_EVENT                   0x43
#define UDMC_SYMBID                          0x44
#define UDMC_CMARK                           0x48
#define UDMC_CMARK_INCOMPLETE                0x49
#define UDMC_BARCODEID0                      0x50
#define UDMC_BARCODEID1                      0x51
#define UDMC_BARCODEID2                      0x52
#define UDMC_BARCODEID3                      0x53
#define UDMC_BARCODEID4                      0x54
#define UDMC_BARCODEID5                      0x55
#define UDMC_BARCODEID6                      0x56
#define UDMC_BARCODEID7                      0x57
#define UDMC_BARCODELENGTH0                  0x80
#define UDMC_BARCODELENGTH1                  0x81
#define UDMC_BARCODELENGTH2                  0x82
#define UDMC_BARCODELENGTH3                  0x83
#define UDMC_BARCODELENGTH4                  0x84
#define UDMC_BARCODELENGTH5                  0x85
#define UDMC_BARCODELENGTH6                  0x86
#define UDMC_BARCODELENGTH7                  0x87
#define UDMC_TIMEOUT                         0x90
#define UDMC_BARCODEMASK0                    0xC0
#define UDMC_BARCODEMASK1                    0xC1
#define UDMC_BARCODEMASK2                    0xC2
#define UDMC_BARCODEMASK3                    0xC3
#define UDMC_BARCODEMASK4                    0xC4
#define UDMC_BARCODEMASK5                    0xC5
#define UDMC_BARCODEMASK6                    0xC6
#define UDMC_BARCODEMASK7                    0xC7
#define UDMC_UDSI                            0xD0
#define UDMC_UDSI_INCOMPLETE                 0xD1
#define UDMC_CODESEPARATOR                   0xD2

// Setup group: HanXin
#define HANXIN_ACTIVE                        0x40
#define HANXIN_CMARK                         0x48
#define HANXIN_LENGTHMODE                    0x53
#define HANXIN_OUTPUTMODE                    0x61
#define HANXIN_LENGTHL1                      0x90
#define HANXIN_LENGTHL2                      0x91
#define HANXIN_LENGTHL3                      0x92
#define HANXIN_UDSI                          0xC0

// Setup group: Message format
#define MF_SYMBID                            0x40
#define MF_OMOUR                             0x41
#define MF_DBPREENCODE                       0x42
#define MF_DBPSYMBOLOGY                      0x43
#define MF_SCANNER_BDA_TRANSMISSION          0x44
#define MF_ICDELAY                           0x80
#define MF_IMDELAY                           0x81
#define MF_PREAMBLE                          0xC0
#define MF_POSTAMBLE                         0xC1
#define MF_MSG                               0xC2

// Setup group: Protocol
#define PROT_TYPE                            0x40

// Setup group: Serial Interface
#define RS_BAUDRATE                          0x40
#define RS_RTS                               0x41
#define RS_NBITS                             0x42
#define RS_PARITY                            0x43
#define RS_NSTOPBITS                         0x44
#define RS_ENQACTIVE                         0x45
#define RS_ENQCHAR                           0x46
#define RS_ACKACTIVE                         0x47
#define RS_ACKCHAR                           0x48
#define RS_NAKACTIVE                         0x49
#define RS_NAKCHAR                           0x4A
#define RS_XONACTIVE                         0x4B
#define RS_LRC                               0x4C
#define RS_TIMEOUT                           0x80

// Setup group: Wand / Laser emulation
#define WAND_LEVEL_TX                        0x42
#define WAND_LEVEL_QUIETZONE                 0x43
#define WAND_PULSE_DURATION                  0x44
#define WAND_MARGIN_SIZE                     0x45

// Setup group: Data editing
#define DE_ACTIVE0                           0x40
#define DE_ACTIVE1                           0x41
#define DE_ACTIVE2                           0x42
#define DE_ACTIVE3                           0x43
#define DE_ACTIVE4                           0x44
#define DE_ACTIVE5                           0x45
#define DE_ACTIVE6                           0x46
#define DE_ACTIVE7                           0x47
#define DE_BARCODEID0                        0x50
#define DE_BARCODEID1                        0x51
#define DE_BARCODEID2                        0x52
#define DE_BARCODEID3                        0x53
#define DE_BARCODEID4                        0x54
#define DE_BARCODEID5                        0x55
#define DE_BARCODEID6                        0x56
#define DE_BARCODEID7                        0x57
#define DE_PORTID0                           0x60
#define DE_PORTID1                           0x61
#define DE_PORTID2                           0x62
#define DE_PORTID3                           0x63
#define DE_PORTID4                           0x64
#define DE_PORTID5                           0x65
#define DE_PORTID6                           0x66
#define DE_PORTID7                           0x67
#define DE_BARCODELENGTH0                    0x80
#define DE_BARCODELENGTH1                    0x81
#define DE_BARCODELENGTH2                    0x82
#define DE_BARCODELENGTH3                    0x83
#define DE_BARCODELENGTH4                    0x84
#define DE_BARCODELENGTH5                    0x85
#define DE_BARCODELENGTH6                    0x86
#define DE_BARCODELENGTH7                    0x87
#define DE_MASK0                             0xC0
#define DE_MASK1                             0xC1
#define DE_MASK2                             0xC2
#define DE_MASK3                             0xC3
#define DE_MASK4                             0xC4
#define DE_MASK5                             0xC5
#define DE_MASK6                             0xC6
#define DE_MASK7                             0xC7
#define DE_ACTIONLIST0                       0xD0
#define DE_ACTIONLIST1                       0xD1
#define DE_ACTIONLIST2                       0xD2
#define DE_ACTIONLIST3                       0xD3
#define DE_ACTIONLIST4                       0xD4
#define DE_ACTIONLIST5                       0xD5
#define DE_ACTIONLIST6                       0xD6
#define DE_ACTIONLIST7                       0xD7

// Setup group: Bluetooth
#define BT_SECURITY                          0x40
#define BT_DISCOVERABLE                      0x41
#define BT_PAGEABLE                          0x42
#define BT_DEVICE_PROFILE                    0x43
#define BT_PROTOCOL                          0x44
#define BT_RANGE_LIMITATION                  0x45
#define BT_PAIRING_VALIDATION                0x46
#define BT_DEFAULT_POWER                     0x50
#define BT_MAX_POWER                         0x51
#define BT_TRANSMISSION_MODE                 0x52
#define BT_PROFILE                           0xC0
#define BT_PIN                               0xC1
#define BT_DEVICE_NAME                       0xC2
#define BT_RECONNECTION_TIME                 0xC3
#define BT_MAXRETRY_TIME                     0xC4
#define BT_CONNECT_DISCONNECT                0xC5
#define BT_CHANNEL_MASK                      0xC6
#define BT_CONNECTION_TIMEOUT                0xC7

// Setup group: Keyboard
#define IKBD_IKBD                            0x40
#define IKBD_OVERRIDE_CAPSLOCK               0x41
#define IKBD_EXTENDED_ASCII                  0x42
#define IKBD_ALT_MODE                        0x43
#define IKBD_CONTROL_MODE                    0x44
#define IKBD_CAPS_NUM_STATE                  0x45
#define IKBD_IOS_SPECIAL_KEYS                0x46
#define IKBD_APPLE_MODE                      0x47

// Setup group: USB
#define USB_CLASS                            0x40
#define USB_SPEED                            0x41
#define USB_SER_NUM                          0x42
#define USB_REMOTE_WAKEUP                    0x43
#define USB_INTER_REPORT_DELAY               0x44
#define USB_SUSPEND_MODE                     0x45

// Setup group: Image data
#define ID_VID_COMPTYPE                      0x42
#define ID_VID_QUALITY                       0x43
#define ID_VID_RESOLUTION                    0x44
#define ID_VID_DECODE_MODE                   0x46
#define ID_VID_START_EVENT                   0x48
#define ID_VID_STOP_EVENT                    0x49
#define ID_SS_COMPTYPE                       0x52
#define ID_SS_QUALITY                        0x53
#define ID_SS_RESOLUTION                     0x54
#define ID_SS_EVENT                          0x58
#define ID_SC_EV_READY                       0x68
#define ID_SC_EV_FAILURE                     0x69
#define ID_DC_EV_READY                       0x6A
#define ID_DC_EV_FAILURE                     0x6B
#define ID_DC_EV_SUCCESS                     0x6C
#define ID_SC_EV_SUCCESS                     0x6D
#define ID_OUTPUTSTREAM                      0x70
#define ID_MODE                              0x71
#define ID_FILL_PATTERN                      0x7F
#define ID_VID_HOFFSET                       0x80
#define ID_VID_VOFFSET                       0x81
#define ID_VID_WIDTH                         0x82
#define ID_VID_HEIGHT                        0x83
#define ID_SS_HOFFSET                        0x90
#define ID_SS_VOFFSET                        0x91
#define ID_SS_WIDTH                          0x92
#define ID_SS_HEIGHT                         0x93
#define ID_VID_START_CONDITION               0xA0
#define ID_VID_STOP_CONDITION                0xA1
#define ID_SS_CONDITION                      0xB0
#define ID_VID_IMG_COND                      0xC0
#define ID_SS_IMG_COND                       0xC1

// Setup group: Trigger
#define TS_TMODE                             0x40
#define TS_HTRIGGER                          0x41
#define TS_STRIGGER                          0x42
#define TS_STARTCHAR                         0x43
#define TS_STOPCHAR                          0x44
#define TS_AIMERACTIVATION                   0x45
#define TS_TOAGR                             0x46
#define TS_POWERHOLDMODE                     0x47
#define TS_STANDBYMODE                       0x48
#define TS_PRESENTATIONTHRES                 0x49
#define TS_IGNORE_HARDWARE_STAND             0x4A
#define TS_DOUBLE_SCAN_PREVENTION            0x50
#define TS_ACCEL_MODE_SWITCH                 0x7F
#define TS_T1                                0x80
#define TS_AIMERDURATION                     0x81
#define TS_SAD                               0x82
#define TS_EATO                              0x83
#define TS_FLASHING_ON_TIME                  0x84
#define TS_FLASHING_OFF_TIME                 0x85
#define TS_POST_DECODE_DELAY                 0x86
#define TS_SHORTCUT_DELAY                    0x87
#define TS_SHORTCUT_MESSAGE                  0xC0
#define TS_ACCEL_ARMED_STEP                  0xFB
#define TS_ACCEL_MOVED_STEP                  0xFC
#define TS_ACCEL_STABILITY_STEP              0xFD
#define TS_ACCEL_SEQUENCE_MODE_1             0xFE
#define TS_ACCEL_SEQUENCE_MODE_2             0xFF

// Setup group: Decoding Security 
#define DS_SRDV                              0x40
#define DS_CD                                0x41
#define DS_CDTOLERANCE                       0x42
#define DS_BCSEQUENCE                        0x43
#define DS_TBICC                             0x80
#define DS_TBDCC                             0x81

// Setup group: Beep / Led indicator
#define BLI_POWERUP                          0x40
#define BLI_NBEEP                            0x41
#define BLI_GRET                             0x42
#define BLI_ERROR                            0x43
#define BLI_SETUP                            0x44
#define BLI_BVOL                             0x45
#define BLI_CRACKLE                          0x46
#define BLI_FLICKER                          0x47
#define BLI_VIBRATE                          0x48
#define BLI_LOWBAT                           0x49
#define BLI_SUSPENDLOWBAT                    0x4A
#define BLI_UI                               0x4B
#define BLI_UIMODE                           0x4C
#define BLI_AMBIANCE                         0x4D
#define BLI_ERROR_VIBRATE                    0x4E
#define BLI_POWERUP_VIBRATE                  0x4F
#define BLI_MULTICODE_IN_PROGRESS            0x50
#define BLI_GOODREAD                         0x51
#define BLI_BTCONNECTION_BEEP                0x52
#define BLI_CHARGER_BEEP                     0x53
#define BLI_CHARGER_LED                      0x54
#define BLI_BTCONNECTING_LED                 0x55
#define BLI_BFREQ                            0x80
#define BLI_BDURATION                        0x81
#define BLI_LDURATION                        0x82
#define BLI_VIBRATE_DURATION                 0x83
#define BLI_ERROR_VIBRATE_DURATION           0x84
#define BLI_AMBIANCE_COLOR                   0xC0

// Setup group: ISCP Parameters
#define IPRM_DATAFORMAT                      0x40
#define IPRM_EV_SMOD                         0x41
#define IPRM_EV_OSR                          0x42
#define IPRM_EV_EASYSETLABEL                 0x43
#define IPRM_EV_PREPROCESSING                0x44
#define IPRM_EV_WAKEUP                       0x45
#define IPRM_EV_UD                           0x46
#define IPRM_EV_SRS                          0x47
#define IPRM_EV_ERS                          0x48
#define IPRM_EV_SU                           0x49
#define IPRM_EV_TP                           0x4A
#define IPRM_EV_TR                           0x4B
#define IPRM_EV_BT                           0x4C
#define IPRM_EV_BATS                         0x4D
#define IPRM_BCDFORMAT                       0x4E
#define IPRM_GET_CONNECTED_BT_DEVICES        0x4F
#define IPRM_EV_STRUCTURED_APPEND            0x50
#define IPRM_TFS                             0x80

// Setup group: Configuration 
#define CFG_CUB                              0x40
#define CFG_PTRANS                           0x41
#define CFG_VOLATILE                         0x42
#define CFG_CUSTOMER_PROFILE                 0x7F

// Setup group: System
#define SYS_LOGGING                          0x40
#define SYS_READAHEAD_MODE                   0x41
#define SYS_OPERATING_FREQ                   0x80
#define SYS_DISCONNECTED_TIMEOUT             0x81
#define SYS_POWER_DOWN_TIMEOUT               0x82
#define SYS_POWER_DOWN_TIMEOUT_OLD           0xC0

// Setup group: Signature Capture
#define SC_ACTIVE0                           0x40
#define SC_ACTIVE1                           0x41
#define SC_ACTIVE2                           0x42
#define SC_ACTIVE3                           0x43
#define SC_BARCODEID0                        0x44
#define SC_BARCODEID1                        0x45
#define SC_BARCODEID2                        0x46
#define SC_BARCODEID3                        0x47
#define SC_FOCUS0                            0x48
#define SC_FOCUS1                            0x49
#define SC_FOCUS2                            0x4A
#define SC_FOCUS3                            0x4B
#define SC_RATIO_AREATOIMAGE0                0x50
#define SC_RATIO_AREATOIMAGE1                0x51
#define SC_RATIO_AREATOIMAGE2                0x52
#define SC_RATIO_AREATOIMAGE3                0x53
#define SC_AUTO_CORRECTION0                  0x54
#define SC_AUTO_CORRECTION1                  0x55
#define SC_AUTO_CORRECTION2                  0x56
#define SC_AUTO_CORRECTION3                  0x57
#define SC_QUALITY_SETTING0                  0x5C
#define SC_QUALITY_SETTING1                  0x5D
#define SC_QUALITY_SETTING2                  0x5E
#define SC_QUALITY_SETTING3                  0x5F
#define SC_RESOLUTION0                       0x60
#define SC_RESOLUTION1                       0x61
#define SC_RESOLUTION2                       0x62
#define SC_RESOLUTION3                       0x63
#define SC_FORMAT0                           0x64
#define SC_FORMAT1                           0x65
#define SC_FORMAT2                           0x66
#define SC_FORMAT3                           0x67
#define SC_COMPRESSION0                      0x68
#define SC_COMPRESSION1                      0x69
#define SC_COMPRESSION2                      0x6A
#define SC_COMPRESSION3                      0x6B
#define SC_DYN_STRETCHING0                   0x6C
#define SC_DYN_STRETCHING1                   0x6D
#define SC_DYN_STRETCHING2                   0x6E
#define SC_DYN_STRETCHING3                   0x6F
#define SC_EDGE_ENHANCEMENT0                 0x70
#define SC_EDGE_ENHANCEMENT1                 0x71
#define SC_EDGE_ENHANCEMENT2                 0x72
#define SC_EDGE_ENHANCEMENT3                 0x73
#define SC_FILTERING0                        0x74
#define SC_FILTERING1                        0x75
#define SC_FILTERING2                        0x76
#define SC_FILTERING3                        0x77
#define SC_BARCODELENGTH0                    0x80
#define SC_BARCODELENGTH1                    0x81
#define SC_BARCODELENGTH2                    0x82
#define SC_BARCODELENGTH3                    0x83
#define SC_HRZ_OFFSET0                       0x84
#define SC_HRZ_OFFSET1                       0x85
#define SC_HRZ_OFFSET2                       0x86
#define SC_HRZ_OFFSET3                       0x87
#define SC_VERT_OFFSET0                      0x88
#define SC_VERT_OFFSET1                      0x89
#define SC_VERT_OFFSET2                      0x8A
#define SC_VERT_OFFSET3                      0x8B
#define SC_AREA_WIDTH0                       0x8C
#define SC_AREA_WIDTH1                       0x8D
#define SC_AREA_WIDTH2                       0x8E
#define SC_AREA_WIDTH3                       0x8F
#define SC_AREA_HEIGHT0                      0x90
#define SC_AREA_HEIGHT1                      0x91
#define SC_AREA_HEIGHT2                      0x92
#define SC_AREA_HEIGHT3                      0x93
#define SC_BC_WIDTH0                         0x94
#define SC_BC_WIDTH1                         0x95
#define SC_BC_WIDTH2                         0x96
#define SC_BC_WIDTH3                         0x97
#define SC_BC_HEIGHT0                        0x98
#define SC_BC_HEIGHT1                        0x99
#define SC_BC_HEIGHT2                        0x9A
#define SC_BC_HEIGHT3                        0x9B
#define SC_MASK0                             0xC0
#define SC_MASK1                             0xC1
#define SC_MASK2                             0xC2
#define SC_MASK3                             0xC3
#define SC_IMG_COND0                         0xC4
#define SC_IMG_COND1                         0xC5
#define SC_IMG_COND2                         0xC6
#define SC_IMG_COND3                         0xC7

// Setup group: Document Imaging
#define DC_ACTIVE0                           0x40
#define DC_FOCUS0                            0x44
#define DC_RATIO_AREATOIMAGE0                0x48
#define DC_QUALITY_SETTING0                  0x4C
#define DC_PERS_CORRECTION                   0x50
#define DC_FORMAT0                           0x54
#define DC_COMPRESSION0                      0x58
#define DC_CONTR_ENHANCEMENT0                0x5C
#define DC_TEXT_ENHANCEMENT0                 0x60
#define DC_FILTERING0                        0x64
#define DC_ROTATION                          0x68
#define DC_WATERMARK                         0x6C
#define DC_ANTI_VIGNETTING                   0x70
#define DC_IMG_COND                          0xC0

// Setup group: Linear Imager
#define LI_LIGHTING                          0x40
#define LI_FILTERMODE                        0x41
#define LI_LINESELECT                        0x42
#define LI_HDW_LINESELECT                    0x43
#define LI_DBP_SPEED                         0x44
#define LI_HDW_DBP_SPEED                     0x45
#define LI_BAD_PIX_CORRECT                   0x46
#define LI_SHUTTERSPEED                      0x80
#define LI_SHUTTERSPEEDMIN                   0x81
#define LI_SHUTTERSPEEDMAX                   0x82
#define LI_FILTERLIST                        0xC0
#define LI_FILTER_SEQ_1D                     0xD0
#define LI_FILTER_SEQ_2D                     0xD1
#define LI_CUSTOM_FILTER                     0xD2

// Setup group: Imager
#define IMG_DECODEMODE                       0x40
#define IMG_LIGHTINGMODE                     0x41
#define IMG_LIGHTINGGOAL                     0x42
#define IMG_ILLUMMODE                        0x43
#define IMG_AIMERFLASHINGMODE                0x44
#define IMG_ILLUMFLASHINGMODE                0x45
#define IMG_ILLUMLEVEL                       0x46
#define IMG_RASTERMODE                       0x47
#define IMG_ROTATION                         0x48
#define IMG_FLIP                             0x49
#define IMG_AEC_MODE                         0x4A
#define IMG_AEC_AREA                         0x4B
#define IMG_ILLUMLEVEL_CLIPPING              0x4C
#define IMG_USE_AIMER_POS                    0x4D
#define IMG_VFOCUSFACTOR                     0x50
#define IMG_HFOCUSFACTOR                     0x51
#define IMG_DPMMODE                          0x52
#define IMG_DAMAGED_1D_CODES                 0x53
#define IMG_FIXED_SCANNER                    0x54
#define IMG_BOOST_MODE                       0x55
#define IMG_DPM_AEC                          0x56
#define IMG_PHONE_READING                    0x57
#define IMG_GLARE_DETECTION                  0x58
#define IMG_LINE_NOISE_CORRECTION            0x59
#define IMG_BAD_PIXEL_CORRECTION             0x7B
#define IMG_TEMPERATURE_COMP                 0x7C
#define IMG_SCP                              0x80
#define IMG_ECP                              0x81
#define IMG_SRP                              0x82
#define IMG_ERP                              0x83
#define IMG_AIMERDURATION                    0x84
#define IMG_VFF_THRESHOLD                    0x90
#define IMG_HFF_THRESHOLD                    0x91
#define IMG_SHUTTERSPEED                     0xA0
#define IMG_SHUTTERSPEEDMIN                  0xA1
#define IMG_SHUTTERSPEEDMAX                  0xA2
#define IMG_AIMER_HRZ_OFFSET                 0xA3
#define IMG_ILLUM_DURATION                   0xA4
#define IMG_DPM_AEC_CONFIG                   0xCF
#define IMG_PREPROCIMGCOND                   0xD0

// Setup group: Easyscript
#define ES_ACTIVATION                        0x40
#define ES_KEYLIST                           0xC0

// ********************************************************
// *                 Control FID                          *
// ********************************************************

// Control group: IDA
#define IDA_RESETBUFFER                      0x15
#define IDA_ENABLE                           0x40
#define IDA_IMAGECOMPRESION                  0x45
#define IDA_COMPRESSIONQUALITY               0x46
#define IDA_MODE                             0xC0
#define IDA_NOTIFYEVENT                      0xC1
#define IDA_EVENTSTATUS                      0xC2
#define IDA_BUFFERSIZE                       0xC3
#define IDA_GETBUFFER                        0xC5

// Control group: Decoding
#define CMD_DECODE                           0x40
#define CMD_EFFICIENCY                       0x41
#define CMD_SENDMS                           0x42
#define CMD_SENDDI                           0x43
#define CMD_PROCEEDCOMMAND                   0x44
#define CMD_LOG_ON_NOREAD                    0x45
#define CMD_SNAPPINESS                       0x7F

// Control group: Hardware
#define CMD_UPFLASH                          0x01
#define CMD_RESET                            0x02
#define CMD_SLEEP                            0x03
#define CMD_TSTPROD_OLD                      0x04
#define CMD_MONITOR                          0x05
#define CMD_POWERDOWN                        0x06
#define CMD_BDPAGE                           0x07
#define CMD_RPC                              0x08
#define CMD_HIBERNATE                        0x09
#define CMD_HIPUPFLASH                       0x0A
#define GET_CONNECTED_BT_DEVICES             0x0C
#define CMD_BT_UPFLASH                       0x0D
#define CMD_BT_DELETE_PAIRINGS               0x0E
#define CMD_GREENLED                         0x40
#define CMD_BEEPSEQ                          0x41
#define CMD_BADREADLED                       0x42
#define CMD_BLUETOOTHLED                     0x43
#define CMD_VIBRATEALERT                     0x44
#define CMD_PLAYFEEDBACKBEEP                 0x45
#define CMD_SUPERVISOR                       0x46
#define CMD_TSTPROD                          0x47
#define CMD_AMBERLED                         0x4A
#define CMD_WINFLASH                         0x4B
#define CMD_VIBRATEMOTOR                     0x80
#define CMD_BUZZER                           0xC0
#define CMD_FLASHREDLED                      0xC1
#define CMD_FLASHGREENLED                    0xC2
#define CMD_FLASHAMBERLED                    0xC3
#define CMD_FLASHBLUELED                     0xC4
#define CMD_VIBRATOR                         0xC5
#define CMD_BT_WRITE_PSKEY                   0xC6
#define CMD_DOWNLOAD_THROUGH_BASE            0xC7

// Control group: Configuration
#define CMD_RELOAD_EASYSCRIPT                0x01
#define CMD_FACTORYDEFAULT                   0x02
#define CMD_SYMBDISABLE                      0x03
#define CMD_USERFACTORYDEFAULT               0x04
#define CMD_DISABLEVESTA                     0x05
#define CMD_FACTORYDEFAULT_EX                0x06
#define CMD_SETALLPERMISSION                 0x40
#define CMD_GIDFACTORYDEFAULT                0x41
#define CMD_RESETSCENARIO_SC                 0x42
#define CMD_IMGPREDEFINEDMD                  0x50
#define CMD_TRIGPREDEFINEDMD                 0x51
#define CMD_CUSTOMERPREDEFINEDMD             0x52
#define CMD_SELECT_DEVICE_CONFIG             0xC0
#define CMD_UNLOCK_SIG_CAP                   0xC1
#define CMD_UNLOCK_DOC_CAP                   0xC2
#define CMD_UNLOCK_DPM                       0xC3

// Control group: Operating
#define CMD_SILENTMODE                       0x40
#define CMD_SCANNERMODE                      0x41
#define CMD_DEBUGPORT                        0x42
#define CMD_VIDEOSTART                       0x43
#define CMD_NULL_INTERFACE                   0x44
#define CMD_HIPLOOPBACKMODE                  0x45
#define CMD_ASYNCHRONOUS_IMAGE_DATA          0x46
#define CMD_EMULATED_TRIGGER                 0x47
#define CMD_PREVIEWSTART                     0x48
#define CMD_LOGGINGMARKER                    0x80
#define CMD_ECHOINGFRAMES                    0xC0
#define CMD_WRITEPERSISTENTDATA              0xC1
#define CMD_REQUESTPERSISTENTDATA            0xC2
#define CMD_WRITEFACTORYDATA                 0xC3
#define CMD_REQUESTFACTORYDATA               0xC4
#define CMD_SEND_BUFFER                      0xC5
#define CMD_BT_DEBUG                         0xFF

// Control group: EVTMU
#define EVTMU_RESERVED1                      0x01
#define EVTMU_BLUETOOTHTEST                  0x02
#define EVTMU_RESERVED3                      0x40
#define EVTMU_EMCTEST                        0x41
#define EVTMU_TEST_SCANKEY                   0x42
#define EVTMU_RESERVED2                      0xC0
#define EVTMU_WRITE_ASSET_NUMBER             0xC1

// ********************************************************
// *                 Status FID                           *
// ********************************************************

// Status group: IDA
#define IDA_ENABLE                           0x40
#define IDA_IMAGECOMPRESION                  0x45
#define IDA_COMPRESSIONQUALITY               0x46
#define IDA_MODE                             0xC0
#define IDA_NOTIFYEVENT                      0xC1
#define IDA_EVENTSTATUS                      0xC2
#define IDA_BUFFERSIZE                       0xC3
#define IDA_BUFFERUSED                       0xC4
#define IDA_GETBUFFER                        0xC5

// Status group: Decoding
#define STATUS_IMAGECONDITIONINGSPEC         0x80
#define STATUS_DECODING                      0xC0
#define STATUS_MAXIMGSIZE                    0xC1
#define STATUS_LASERLOCATION                 0xC2

// Status group: Hardware
#define STATUS_BATTERY                       0x40
#define STATUS_TEST_SENSOR                   0x41
#define STATUS_BATTERY_STATEOFCHARGE         0x42
#define STATUS_SE_POWERSTATES                0x50
#define STATUS_MRFS                          0x80
#define STATUS_MTFS                          0x81
#define STATUS_PRODUCT_FAMILY                0x82
#define STATUS_SHUTTERSPEED                  0x83
#define STATUS_SENSOR_ID                     0x84
#define STATUS_VERSION                       0xC0
#define STATUS_SENSORMODE                    0xC1
#define STATUS_DECODEVERSION                 0xC2
#define STATUS_BDADDRESS                     0xC3
#define STATUS_FULLVERSION                   0xC4
#define STATUS_BT_RADIO_LIB_VERSION          0xC5
#define STATUS_COPROCESSOR_VERSION           0xC6
#define STATUS_PRODUCT_ID                    0xC7
#define STATUS_EEPROM                        0xC8
#define STATUS_BT_LINK_KEY                   0xC9
#define STATUS_EASYSCRIPT_VERSION            0xCA
#define STATUS_ACQ_FULL_VERSION              0xCB
#define STATUS_DEFAULT1DFILTERSEQUENCE       0xD0
#define STATUS_DEFAULTSTACKEDFILTERSEQUENCE  0xD1
#define STATUS_FILTERLIST                    0xD2
#define STATUS_DEBUGINFO                     0xD3
#define STATUS_AIMERPOS                      0xD4
#define STATUS_BATT_DATE                     0xD5
#define STATUS_SE_POWER_D0                   0xE0
#define STATUS_SE_POWER_D1                   0xE1
#define STATUS_SE_POWER_D2                   0xE2
#define STATUS_SE_POWER_D3                   0xE3
#define STATUS_SE_POWER_D4                   0xE4

// Status group: Configuration
#define STATUS_N_DATAEDITSCENARIOS           0x40
#define STATUS_LOCK_SIG_CAP                  0x41
#define STATUS_LOCK_DOC_CAP                  0x42
#define STATUS_DPM_FEATURE                   0x43
#define STATUS_IMGPREDEFINEDMD               0x50
#define STATUS_TRIGPREDEFINEDMD              0x51
#define STATUS_CONFIG_SIGNATURE              0xC0

// Status group: Operating
#define STATUS_TRIGGERMODESPEC               0x80
#define STATUS_READPERSISTENTDATA            0xC2
#define STATUS_READFACTORYDATA               0xC3
#define STATUS_LSPERSISTENTDATA              0xC4
#define STATUS_LSFACTORYDATA                 0xC5

// Status group: EVTMU
#define STATUS_READ_ASSET_NUMBER             0xC1

// Status group: Imaging
#define STATUS_CVCF                          0x40
#define STATUS_CSF                           0x41
#define STATUS_CVPF                          0x42
#define STATUS_VCF                           0xC0
#define STATUS_SNAPSHOTFORMATS               0xC1
#define STATUS_VPF                           0xC2

// ********************************************************
// *                 Event FID                            *
// ********************************************************

// Event group: Decoding
#define EID_UD                               0x20
#define EID_SRS                              0x21
#define EID_ERS                              0x22
#define EID_INCOMPLETE_MULTICODE             0xC0
#define EID_IMAGE_CONDITIONING_ERROR         0xC1
#define EID_STRUCTURED_APPEND                0xC2

// Event group: Hardware
#define EID_SU                               0x20
#define EID_TP                               0x21
#define EID_TR                               0x22
#define EID_BLUETOOTH_DISCONNECT             0x23
#define EID_BATTERY_STATUS                   0x40
#define EID_POWERDOWN                        0x41
#define EID_WAKEUP                           0x42

// Event group: Configuration
#define EID_OSR                              0x20
#define EID_OCCR                             0x21
#define EID_SMOD                             0x80
#define EID_CCMD                             0x81
#define EID_EASYSETLABEL                     0xC0
#define EID_PREPROCESSING                    0xC1
#define EID_PREPROCESSING_ADDRESSEE          0xC3

// Event group: Image Data
#define EID_VIDEO_STOP                       0x40
#define EID_SCREADY                          0xC0
#define EID_SCFAILED                         0xC1
#define EID_DCREADY                          0xC2
#define EID_DCFAILED                         0xC3
#define EID_SCSUCCESS                        0xC4
#define EID_DCSUCCESS                        0xC5
#define EID_VIDEO_START                      0xD0
#define EID_SNAPSHOT_READY                   0xD1

#endif
