/*******************************************************************************
 *
 *  FILE NAME:   IScanContainerData.h
 *  PURPOSE:     Contains enums and structures for IScanContainer.idl
 *
 *  AUTHOR:
 *
 * COPYRIGHT  2006-2015 HONEYWELL INTERNATIONAL INC., ALL RIGHTS RESERVED
 *
 ******************************************************************************/

#ifndef INCLUDED_ISCANCONTAINERDATA_H                /* Has this file been included before?  */
#define INCLUDED_ISCANCONTAINERDATA_H                /* No, remember it has been now         */

////////////////////////////////////////////////////////////////
//  #INCLUDES   
//      NONE
//
////////////////////////////////////////////////////////////////
//  #DEFINES   
//
////////////////////////////////////////////////////////////////
//   ENUMS  
//
////////////////////////////////////////////////////////////////
// Enums and structures for IScancontainer.idl.

#ifndef ITC_SCANDEVICE_HANDLE
    typedef enum tagITCScanDeviceHandle {
        ITCHANDLE_INVALID       = -1,
        ITCHANDLE_ALL           = -2,
        ITCHANDLE_DATASERVER    = 0,
    } ITC_SCANDEVICE_HANDLE;
#endif

#ifndef ITC_DEVADDR_BYTES
    cpp_quote("#define ITC_DEVADDR_BYTES (8)")
#endif

#ifndef ITC_FRIENDLY_NAME_CHARS
    cpp_quote("#define ITC_FRIENDLY_NAME_CHARS (64)")
#endif

#ifndef ITC_DEVICE_TYPE_CHARS
    cpp_quote("#define ITC_DEVICE_TYPE_CHARS (64)")
#endif

#ifndef ITC_DEVICE_DETAILS

    typedef struct tagITCDeviceDetails 
    {
        DWORD nStructBytes;                         // Number of bytes in this structure.
        DWORD nBytesInAddr;                         // Number of bytes contained in rgAddr
        BYTE  rgbDevAddr[8];                        // Address needed to connect to the device
        DWORD nCharsInName;                         // Number of WCHAR characters contained in rgbFriendlyName
        WCHAR rgcFriendlyName[64];                  // Friendly name of the device
        DWORD dwPortID;                             // Port ID on which the device is connected
        DWORD nCharsInDeviceType;                   // Number of characters returned in rgcDeviceType
        WCHAR rgcDeviceType[64];                    // Device type
        DWORD nCharsInPortName;                     // Number of character returned in rgcPortName
        WCHAR rgcPortName[64];                      // Port name
    } ITC_DEVICE_DETAILS;
#endif

#ifndef ITC_SCAUTOINCLUDE_ENUM

    typedef enum tagITCAutoInclude
    {   
        ITC_SCINIT_AUTOINCLUDE = 1,                 // The ScanContainer is to auto include new devices.
        ITC_SCINIT_NO_AUTOINCLUDE = 2,              // The ScanContainer is not to auto include new devices.
        ITC_SCINIT_AUTOINCLUDE_NOCHANGE = 3,        // The ScanContain autoinclude state is not to be changed.
    } ITC_SCAUTOINCLUDE_ENUM;
    #endif      

#endif
//
//  END OF FILE:  IScanContainerData.h
// COPYRIGHT  2006 INTERMEC TECHNOLOGIES CORPORATION, ALL RIGHTS RESERVED
//    

